import type { ExtractPropTypes } from 'vue';
import { dropdownButtonProps } from './props';
export declare type DropdownButtonProps = Partial<ExtractPropTypes<ReturnType<typeof dropdownButtonProps>>>;
declare const _default: import("vue").DefineComponent<{
    type: import("vue-types").VueTypeDef<"default" | "dashed" | "primary" | "ghost">;
    size: import("vue-types").VueTypeDef<"small" | "large">;
    htmlType: import("vue-types").VueTypeDef<"button" | "reset" | "submit"> & {
        default: "button" | "reset" | "submit";
    };
    href: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    icon: import("vue-types").VueTypeValidableDef<any>;
    title: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    arrow: import("vue-types").VueTypeValidableDef<boolean>;
    trigger: {
        type: import("vue").PropType<"click" | "contextmenu" | "hover" | ("click" | "contextmenu" | "hover")[]>;
    };
    overlay: import("vue-types").VueTypeValidableDef<any>;
    visible: import("vue-types").VueTypeValidableDef<boolean>;
    align: {
        type: import("vue").PropType<{
            points?: [string, string];
            offset?: [number, number];
            targetOffset?: [number, number];
            overflow?: {
                adjustX?: boolean;
                adjustY?: boolean;
            };
            useCssRight?: boolean;
            useCssBottom?: boolean;
            useCssTransform?: boolean;
        }>;
    };
    getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    transitionName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    placement: import("vue-types").VueTypeDef<"topLeft" | "topCenter" | "topRight" | "bottomLeft" | "bottomCenter" | "bottomRight">;
    overlayClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    overlayStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
    forceRender: import("vue-types").VueTypeValidableDef<boolean>;
    mouseEnterDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    mouseLeaveDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    openClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    minOverlayWidthMatchTrigger: import("vue-types").VueTypeValidableDef<boolean>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("click" | "update:visible" | "visibleChange")[], "click" | "update:visible" | "visibleChange", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    type?: unknown;
    size?: unknown;
    htmlType?: unknown;
    href?: unknown;
    disabled?: unknown;
    prefixCls?: unknown;
    icon?: unknown;
    title?: unknown;
    arrow?: unknown;
    trigger?: unknown;
    overlay?: unknown;
    visible?: unknown;
    align?: unknown;
    getPopupContainer?: unknown;
    transitionName?: unknown;
    placement?: unknown;
    overlayClassName?: unknown;
    overlayStyle?: unknown;
    forceRender?: unknown;
    mouseEnterDelay?: unknown;
    mouseLeaveDelay?: unknown;
    openClassName?: unknown;
    minOverlayWidthMatchTrigger?: unknown;
} & {
    title: string;
    prefixCls: string;
    htmlType: "button" | "reset" | "submit";
    href: string;
    transitionName: string;
    overlayClassName: string;
    mouseEnterDelay: number;
    mouseLeaveDelay: number;
    openClassName: string;
} & {
    visible?: boolean;
    disabled?: boolean;
    type?: "default" | "dashed" | "primary" | "ghost";
    overlay?: any;
    size?: "small" | "large";
    icon?: any;
    getPopupContainer?: (...args: any[]) => any;
    forceRender?: boolean;
    placement?: "topLeft" | "topCenter" | "topRight" | "bottomLeft" | "bottomCenter" | "bottomRight";
    arrow?: boolean;
    trigger?: "click" | "contextmenu" | "hover" | ("click" | "contextmenu" | "hover")[];
    align?: unknown;
    overlayStyle?: import("vue").CSSProperties;
    minOverlayWidthMatchTrigger?: boolean;
}> & {
    onClick?: (...args: any[]) => any;
    "onUpdate:visible"?: (...args: any[]) => any;
    onVisibleChange?: (...args: any[]) => any;
}, {
    title: string;
    prefixCls: string;
    htmlType: "button" | "reset" | "submit";
    href: string;
    getPopupContainer: (...args: any[]) => any;
    transitionName: string;
    overlayClassName: string;
    mouseEnterDelay: number;
    mouseLeaveDelay: number;
    openClassName: string;
}>;
export default _default;
