import type { ExtractPropTypes, PropType } from 'vue';
import type { LegacyButtonType } from '../button/buttonTypes';
export declare const popconfirmProps: () => {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    content: import("vue-types").VueTypeValidableDef<any>;
    title: import("vue-types").VueTypeValidableDef<any>;
    okType: {
        type: PropType<LegacyButtonType>;
        default: string;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    okText: import("vue-types").VueTypeValidableDef<any>;
    cancelText: import("vue-types").VueTypeValidableDef<any>;
    icon: import("vue-types").VueTypeValidableDef<any>;
    okButtonProps: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    cancelButtonProps: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    trigger: import("vue-types").VueTypeDef<"click" | "contextmenu" | "focus" | "hover" | ("click" | "contextmenu" | "focus" | "hover")[]>;
    visible: import("vue-types").VueTypeValidableDef<boolean>;
    defaultVisible: import("vue-types").VueTypeValidableDef<boolean>;
    placement: import("vue-types").VueTypeDef<"left" | "right" | "bottom" | "top" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom">;
    color: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    transitionName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    overlayStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
    overlayClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    openClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    mouseEnterDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    mouseLeaveDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    arrowPointAtCenter: import("vue-types").VueTypeValidableDef<boolean>;
    autoAdjustOverflow: import("vue-types").VueTypeDef<boolean | {
        [key: string]: any;
    }>;
    destroyTooltipOnHide: import("vue-types").VueTypeValidableDef<boolean>;
    align: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    builtinPlacements: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    children: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    onVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:visible': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
};
export declare type PopconfirmProps = Partial<ExtractPropTypes<ReturnType<typeof popconfirmProps>>>;
export interface PopconfirmLocale {
    okText: string;
    cancelText: string;
}
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            disabled: boolean;
            children: unknown[];
            color: string;
            prefixCls: string;
            getPopupContainer: (...args: any[]) => any;
            transitionName: string;
            "onUpdate:visible": (...args: any[]) => any;
            align: {
                [key: string]: any;
            };
            overlayClassName: string;
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            openClassName: string;
            onVisibleChange: (...args: any[]) => any;
            okButtonProps: {
                [key: string]: any;
            };
            cancelButtonProps: {
                [key: string]: any;
            };
            okType: LegacyButtonType;
            builtinPlacements: {
                [key: string]: any;
            };
        }> & Omit<Readonly<{
            prefixCls?: unknown;
            content?: unknown;
            title?: unknown;
            okType?: unknown;
            disabled?: unknown;
            okText?: unknown;
            cancelText?: unknown;
            icon?: unknown;
            okButtonProps?: unknown;
            cancelButtonProps?: unknown;
            trigger?: unknown;
            visible?: unknown;
            defaultVisible?: unknown;
            placement?: unknown;
            color?: unknown;
            transitionName?: unknown;
            overlayStyle?: unknown;
            overlayClassName?: unknown;
            openClassName?: unknown;
            mouseEnterDelay?: unknown;
            mouseLeaveDelay?: unknown;
            getPopupContainer?: unknown;
            arrowPointAtCenter?: unknown;
            autoAdjustOverflow?: unknown;
            destroyTooltipOnHide?: unknown;
            align?: unknown;
            builtinPlacements?: unknown;
            children?: unknown;
            onVisibleChange?: unknown;
            'onUpdate:visible'?: unknown;
        } & {
            disabled: boolean;
            children: unknown[];
            color: string;
            prefixCls: string;
            transitionName: string;
            align: {
                [key: string]: any;
            };
            overlayClassName: string;
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            openClassName: string;
            okButtonProps: {
                [key: string]: any;
            };
            cancelButtonProps: {
                [key: string]: any;
            };
            okType: LegacyButtonType;
            builtinPlacements: {
                [key: string]: any;
            };
        } & {
            visible?: boolean;
            title?: any;
            content?: any;
            icon?: any;
            getPopupContainer?: (...args: any[]) => any;
            placement?: "left" | "right" | "bottom" | "top" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
            "onUpdate:visible"?: (...args: any[]) => any;
            trigger?: "click" | "contextmenu" | "focus" | "hover" | ("click" | "contextmenu" | "focus" | "hover")[];
            overlayStyle?: import("vue").CSSProperties;
            onVisibleChange?: (...args: any[]) => any;
            okText?: any;
            cancelText?: any;
            defaultVisible?: boolean;
            arrowPointAtCenter?: boolean;
            autoAdjustOverflow?: boolean | {
                [key: string]: any;
            };
            destroyTooltipOnHide?: boolean;
        }> & {
            "onUpdate:visible"?: (...args: any[]) => any;
            onVisibleChange?: (...args: any[]) => any;
            onCancel?: (...args: any[]) => any;
            onConfirm?: (...args: any[]) => any;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "disabled" | "children" | "color" | "prefixCls" | "getPopupContainer" | "transitionName" | "onUpdate:visible" | "align" | "overlayClassName" | "mouseEnterDelay" | "mouseLeaveDelay" | "openClassName" | "onVisibleChange" | "okButtonProps" | "cancelButtonProps" | "okType" | "builtinPlacements">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: "cancel" | "update:visible" | "visibleChange" | "confirm", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            prefixCls?: unknown;
            content?: unknown;
            title?: unknown;
            okType?: unknown;
            disabled?: unknown;
            okText?: unknown;
            cancelText?: unknown;
            icon?: unknown;
            okButtonProps?: unknown;
            cancelButtonProps?: unknown;
            trigger?: unknown;
            visible?: unknown;
            defaultVisible?: unknown;
            placement?: unknown;
            color?: unknown;
            transitionName?: unknown;
            overlayStyle?: unknown;
            overlayClassName?: unknown;
            openClassName?: unknown;
            mouseEnterDelay?: unknown;
            mouseLeaveDelay?: unknown;
            getPopupContainer?: unknown;
            arrowPointAtCenter?: unknown;
            autoAdjustOverflow?: unknown;
            destroyTooltipOnHide?: unknown;
            align?: unknown;
            builtinPlacements?: unknown;
            children?: unknown;
            onVisibleChange?: unknown;
            'onUpdate:visible'?: unknown;
        } & {
            disabled: boolean;
            children: unknown[];
            color: string;
            prefixCls: string;
            transitionName: string;
            align: {
                [key: string]: any;
            };
            overlayClassName: string;
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            openClassName: string;
            okButtonProps: {
                [key: string]: any;
            };
            cancelButtonProps: {
                [key: string]: any;
            };
            okType: LegacyButtonType;
            builtinPlacements: {
                [key: string]: any;
            };
        } & {
            visible?: boolean;
            title?: any;
            content?: any;
            icon?: any;
            getPopupContainer?: (...args: any[]) => any;
            placement?: "left" | "right" | "bottom" | "top" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
            "onUpdate:visible"?: (...args: any[]) => any;
            trigger?: "click" | "contextmenu" | "focus" | "hover" | ("click" | "contextmenu" | "focus" | "hover")[];
            overlayStyle?: import("vue").CSSProperties;
            onVisibleChange?: (...args: any[]) => any;
            okText?: any;
            cancelText?: any;
            defaultVisible?: boolean;
            arrowPointAtCenter?: boolean;
            autoAdjustOverflow?: boolean | {
                [key: string]: any;
            };
            destroyTooltipOnHide?: boolean;
        }> & {
            "onUpdate:visible"?: (...args: any[]) => any;
            onVisibleChange?: (...args: any[]) => any;
            onCancel?: (...args: any[]) => any;
            onConfirm?: (...args: any[]) => any;
        }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cancel" | "update:visible" | "visibleChange" | "confirm")[], string, {
            disabled: boolean;
            children: unknown[];
            color: string;
            prefixCls: string;
            getPopupContainer: (...args: any[]) => any;
            transitionName: string;
            "onUpdate:visible": (...args: any[]) => any;
            align: {
                [key: string]: any;
            };
            overlayClassName: string;
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            openClassName: string;
            onVisibleChange: (...args: any[]) => any;
            okButtonProps: {
                [key: string]: any;
            };
            cancelButtonProps: {
                [key: string]: any;
            };
            okType: LegacyButtonType;
            builtinPlacements: {
                [key: string]: any;
            };
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        prefixCls?: unknown;
        content?: unknown;
        title?: unknown;
        okType?: unknown;
        disabled?: unknown;
        okText?: unknown;
        cancelText?: unknown;
        icon?: unknown;
        okButtonProps?: unknown;
        cancelButtonProps?: unknown;
        trigger?: unknown;
        visible?: unknown;
        defaultVisible?: unknown;
        placement?: unknown;
        color?: unknown;
        transitionName?: unknown;
        overlayStyle?: unknown;
        overlayClassName?: unknown;
        openClassName?: unknown;
        mouseEnterDelay?: unknown;
        mouseLeaveDelay?: unknown;
        getPopupContainer?: unknown;
        arrowPointAtCenter?: unknown;
        autoAdjustOverflow?: unknown;
        destroyTooltipOnHide?: unknown;
        align?: unknown;
        builtinPlacements?: unknown;
        children?: unknown;
        onVisibleChange?: unknown;
        'onUpdate:visible'?: unknown;
    } & {
        disabled: boolean;
        children: unknown[];
        color: string;
        prefixCls: string;
        transitionName: string;
        align: {
            [key: string]: any;
        };
        overlayClassName: string;
        mouseEnterDelay: number;
        mouseLeaveDelay: number;
        openClassName: string;
        okButtonProps: {
            [key: string]: any;
        };
        cancelButtonProps: {
            [key: string]: any;
        };
        okType: LegacyButtonType;
        builtinPlacements: {
            [key: string]: any;
        };
    } & {
        visible?: boolean;
        title?: any;
        content?: any;
        icon?: any;
        getPopupContainer?: (...args: any[]) => any;
        placement?: "left" | "right" | "bottom" | "top" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
        "onUpdate:visible"?: (...args: any[]) => any;
        trigger?: "click" | "contextmenu" | "focus" | "hover" | ("click" | "contextmenu" | "focus" | "hover")[];
        overlayStyle?: import("vue").CSSProperties;
        onVisibleChange?: (...args: any[]) => any;
        okText?: any;
        cancelText?: any;
        defaultVisible?: boolean;
        arrowPointAtCenter?: boolean;
        autoAdjustOverflow?: boolean | {
            [key: string]: any;
        };
        destroyTooltipOnHide?: boolean;
    }> & {
        "onUpdate:visible"?: (...args: any[]) => any;
        onVisibleChange?: (...args: any[]) => any;
        onCancel?: (...args: any[]) => any;
        onConfirm?: (...args: any[]) => any;
    } & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    prefixCls?: unknown;
    content?: unknown;
    title?: unknown;
    okType?: unknown;
    disabled?: unknown;
    okText?: unknown;
    cancelText?: unknown;
    icon?: unknown;
    okButtonProps?: unknown;
    cancelButtonProps?: unknown;
    trigger?: unknown;
    visible?: unknown;
    defaultVisible?: unknown;
    placement?: unknown;
    color?: unknown;
    transitionName?: unknown;
    overlayStyle?: unknown;
    overlayClassName?: unknown;
    openClassName?: unknown;
    mouseEnterDelay?: unknown;
    mouseLeaveDelay?: unknown;
    getPopupContainer?: unknown;
    arrowPointAtCenter?: unknown;
    autoAdjustOverflow?: unknown;
    destroyTooltipOnHide?: unknown;
    align?: unknown;
    builtinPlacements?: unknown;
    children?: unknown;
    onVisibleChange?: unknown;
    'onUpdate:visible'?: unknown;
} & {
    disabled: boolean;
    children: unknown[];
    color: string;
    prefixCls: string;
    transitionName: string;
    align: {
        [key: string]: any;
    };
    overlayClassName: string;
    mouseEnterDelay: number;
    mouseLeaveDelay: number;
    openClassName: string;
    okButtonProps: {
        [key: string]: any;
    };
    cancelButtonProps: {
        [key: string]: any;
    };
    okType: LegacyButtonType;
    builtinPlacements: {
        [key: string]: any;
    };
} & {
    visible?: boolean;
    title?: any;
    content?: any;
    icon?: any;
    getPopupContainer?: (...args: any[]) => any;
    placement?: "left" | "right" | "bottom" | "top" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
    "onUpdate:visible"?: (...args: any[]) => any;
    trigger?: "click" | "contextmenu" | "focus" | "hover" | ("click" | "contextmenu" | "focus" | "hover")[];
    overlayStyle?: import("vue").CSSProperties;
    onVisibleChange?: (...args: any[]) => any;
    okText?: any;
    cancelText?: any;
    defaultVisible?: boolean;
    arrowPointAtCenter?: boolean;
    autoAdjustOverflow?: boolean | {
        [key: string]: any;
    };
    destroyTooltipOnHide?: boolean;
}> & {
    "onUpdate:visible"?: (...args: any[]) => any;
    onVisibleChange?: (...args: any[]) => any;
    onCancel?: (...args: any[]) => any;
    onConfirm?: (...args: any[]) => any;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cancel" | "update:visible" | "visibleChange" | "confirm")[], "cancel" | "confirm" | "update:visible" | "visibleChange", {
    disabled: boolean;
    children: unknown[];
    color: string;
    prefixCls: string;
    getPopupContainer: (...args: any[]) => any;
    transitionName: string;
    "onUpdate:visible": (...args: any[]) => any;
    align: {
        [key: string]: any;
    };
    overlayClassName: string;
    mouseEnterDelay: number;
    mouseLeaveDelay: number;
    openClassName: string;
    onVisibleChange: (...args: any[]) => any;
    okButtonProps: {
        [key: string]: any;
    };
    cancelButtonProps: {
        [key: string]: any;
    };
    okType: LegacyButtonType;
    builtinPlacements: {
        [key: string]: any;
    };
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export default _default;
