import type { PropType } from 'vue';
import type { VueNode } from '../_util/type';
export declare type CheckboxValueType = string | number | boolean;
export interface CheckboxOptionType {
    label: VueNode;
    value: CheckboxValueType;
    disabled?: boolean;
    indeterminate?: boolean;
    onChange?: (e: Event) => void;
}
declare const _default: import("vue").DefineComponent<{
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    defaultValue: {
        type: PropType<CheckboxValueType[]>;
    };
    value: {
        type: PropType<CheckboxValueType[]>;
    };
    options: {
        type: PropType<(string | CheckboxOptionType)[]>;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    id: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
}, {
    formItemContext: import("../form/FormItemContext").FormItemContext;
    configProvider: any;
}, {
    sValue: CheckboxValueType[];
    registeredValues: any[];
}, {}, {
    getOptions(): any;
    cancelValue(value: CheckboxValueType): void;
    registerValue(value: CheckboxValueType): void;
    toggleOption(option: CheckboxOptionType): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:value")[], "change" | "update:value", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    name?: unknown;
    prefixCls?: unknown;
    defaultValue?: unknown;
    value?: unknown;
    options?: unknown;
    disabled?: unknown;
    onChange?: unknown;
    id?: unknown;
} & {
    id: string;
    name: string;
    prefixCls: string;
} & {
    disabled?: boolean;
    value?: CheckboxValueType[];
    onChange?: (...args: any[]) => any;
    options?: (string | CheckboxOptionType)[];
    defaultValue?: CheckboxValueType[];
}> & {
    onChange?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
}, {
    id: string;
    name: string;
    onChange: (...args: any[]) => any;
    prefixCls: string;
}>;
export default _default;
