import type { ExtractPropTypes, PropType } from 'vue';
import type { MenuTheme, MenuMode, BuiltinPlacements, TriggerSubMenuAction } from './interface';
export declare const menuProps: {
    id: StringConstructor;
    prefixCls: StringConstructor;
    disabled: BooleanConstructor;
    inlineCollapsed: BooleanConstructor;
    disabledOverflow: BooleanConstructor;
    openKeys: ArrayConstructor;
    selectedKeys: ArrayConstructor;
    activeKey: StringConstructor;
    selectable: {
        type: BooleanConstructor;
        default: boolean;
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    motion: PropType<any>;
    theme: {
        type: PropType<MenuTheme>;
        default: string;
    };
    mode: {
        type: PropType<MenuMode>;
        default: string;
    };
    inlineIndent: {
        type: NumberConstructor;
        default: number;
    };
    subMenuOpenDelay: {
        type: NumberConstructor;
        default: number;
    };
    subMenuCloseDelay: {
        type: NumberConstructor;
        default: number;
    };
    builtinPlacements: {
        type: PropType<BuiltinPlacements>;
    };
    triggerSubMenuAction: {
        type: PropType<TriggerSubMenuAction>;
        default: string;
    };
    getPopupContainer: PropType<(node: HTMLElement) => HTMLElement>;
    expandIcon: PropType<(p?: {
        [key: string]: any;
        isOpen: boolean;
    }) => any>;
};
export declare type MenuProps = Partial<ExtractPropTypes<typeof menuProps>>;
declare const _default: import("vue").DefineComponent<{
    id: StringConstructor;
    prefixCls: StringConstructor;
    disabled: BooleanConstructor;
    inlineCollapsed: BooleanConstructor;
    disabledOverflow: BooleanConstructor;
    openKeys: ArrayConstructor;
    selectedKeys: ArrayConstructor;
    activeKey: StringConstructor;
    selectable: {
        type: BooleanConstructor;
        default: boolean;
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    motion: PropType<any>;
    theme: {
        type: PropType<MenuTheme>;
        default: string;
    };
    mode: {
        type: PropType<MenuMode>;
        default: string;
    };
    inlineIndent: {
        type: NumberConstructor;
        default: number;
    };
    subMenuOpenDelay: {
        type: NumberConstructor;
        default: number;
    };
    subMenuCloseDelay: {
        type: NumberConstructor;
        default: number;
    };
    builtinPlacements: {
        type: PropType<BuiltinPlacements>;
    };
    triggerSubMenuAction: {
        type: PropType<TriggerSubMenuAction>;
        default: string;
    };
    getPopupContainer: PropType<(node: HTMLElement) => HTMLElement>;
    expandIcon: PropType<(p?: {
        [key: string]: any;
        isOpen: boolean;
    }) => any>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "click" | "update:activeKey" | "openChange" | "update:selectedKeys" | "update:openKeys" | "deselect")[], "select" | "click" | "update:activeKey" | "openChange" | "update:selectedKeys" | "update:openKeys" | "deselect", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    id?: unknown;
    prefixCls?: unknown;
    disabled?: unknown;
    inlineCollapsed?: unknown;
    disabledOverflow?: unknown;
    openKeys?: unknown;
    selectedKeys?: unknown;
    activeKey?: unknown;
    selectable?: unknown;
    multiple?: unknown;
    motion?: unknown;
    theme?: unknown;
    mode?: unknown;
    inlineIndent?: unknown;
    subMenuOpenDelay?: unknown;
    subMenuCloseDelay?: unknown;
    builtinPlacements?: unknown;
    triggerSubMenuAction?: unknown;
    getPopupContainer?: unknown;
    expandIcon?: unknown;
} & {
    disabled: boolean;
    mode: MenuMode;
    multiple: boolean;
    selectable: boolean;
    theme: MenuTheme;
    inlineCollapsed: boolean;
    disabledOverflow: boolean;
    inlineIndent: number;
    subMenuOpenDelay: number;
    subMenuCloseDelay: number;
    triggerSubMenuAction: TriggerSubMenuAction;
} & {
    id?: string;
    prefixCls?: string;
    getPopupContainer?: (node: HTMLElement) => HTMLElement;
    activeKey?: string;
    expandIcon?: (p?: {
        [key: string]: any;
        isOpen: boolean;
    }) => any;
    motion?: unknown;
    builtinPlacements?: unknown;
    selectedKeys?: unknown[];
    openKeys?: unknown[];
}> & {
    onClick?: (...args: any[]) => any;
    onSelect?: (...args: any[]) => any;
    "onUpdate:activeKey"?: (...args: any[]) => any;
    "onUpdate:selectedKeys"?: (...args: any[]) => any;
    onOpenChange?: (...args: any[]) => any;
    onDeselect?: (...args: any[]) => any;
    "onUpdate:openKeys"?: (...args: any[]) => any;
}, {
    disabled: boolean;
    mode: MenuMode;
    multiple: boolean;
    selectable: boolean;
    theme: MenuTheme;
    inlineCollapsed: boolean;
    disabledOverflow: boolean;
    inlineIndent: number;
    subMenuOpenDelay: number;
    subMenuCloseDelay: number;
    triggerSubMenuAction: TriggerSubMenuAction;
}>;
export default _default;
