"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "TableColumn", {
  enumerable: true,
  get: function get() {
    return _Column.default;
  }
});
Object.defineProperty(exports, "TableColumnGroup", {
  enumerable: true,
  get: function get() {
    return _ColumnGroup.default;
  }
});
exports.default = exports.TableSummaryRow = exports.TableSummaryCell = exports.TableSummary = void 0;
Object.defineProperty(exports, "tableProps", {
  enumerable: true,
  get: function get() {
    return _Table.tableProps;
  }
});

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));

var _Table = _interopRequireWildcard(require("./Table"));

var _Column = _interopRequireDefault(require("./Column"));

var _ColumnGroup = _interopRequireDefault(require("./ColumnGroup"));

var _vue = require("vue");

var _vcTable = require("../vc-table");

var _useSelection = require("./hooks/useSelection");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var TableSummaryRow = (0, _vue.defineComponent)((0, _objectSpread2.default)((0, _objectSpread2.default)({}, _vcTable.SummaryRow), {}, {
  name: 'ATableSummaryRow'
}));
exports.TableSummaryRow = TableSummaryRow;
var TableSummaryCell = (0, _vue.defineComponent)((0, _objectSpread2.default)((0, _objectSpread2.default)({}, _vcTable.SummaryCell), {}, {
  name: 'ATableSummaryCell'
}));
exports.TableSummaryCell = TableSummaryCell;
var TempSummary = (0, _vue.defineComponent)((0, _objectSpread2.default)((0, _objectSpread2.default)({}, _vcTable.Summary), {}, {
  name: 'ATableSummary'
}));
var TableSummary = TempSummary;
exports.TableSummary = TableSummary;
TableSummary.Cell = TableSummaryCell;
TableSummary.Row = TableSummaryRow;
var T = _Table.default;
T.SELECTION_ALL = _useSelection.SELECTION_ALL;
T.SELECTION_INVERT = _useSelection.SELECTION_INVERT;
T.SELECTION_NONE = _useSelection.SELECTION_NONE;
T.Column = _Column.default;
T.ColumnGroup = _ColumnGroup.default;
T.Summary = TableSummary;
/* istanbul ignore next */

T.install = function (app) {
  app.component(TableSummary.name, TableSummary);
  app.component(TableSummaryCell.name, TableSummaryCell);
  app.component(TableSummaryRow.name, TableSummaryRow);
  app.component(T.name, T);
  app.component(T.Column.name, _Column.default);
  app.component(T.ColumnGroup.name, _ColumnGroup.default);
  return app;
};

var _default = T;
exports.default = _default;